<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:fn="http://java.sun.com/jsp/jstl/functions">
	<h1>
		<small>Cadastro de Produtos</small>
	</h1>
	<p:tabView dynamic="true" id="tvProdutos">
		<p:tab title="Dados">
			<h:form id="form1" enctype="multipart/form-data">
				<p:panel>
					<p:toolbar id="tbOpcoes" style="margin-top: 20px">
					<p:toolbarGroup>
						<p:commandButton value="Salvar" id="botaoSalvar"
							action="#{produtoController.salvar}" style="background-color: #3C763D;"
							rendered="#{produtoController.ativo}" update="form1 growl"
							process="@this painel" />

						<p:commandButton value="Novo" id="botaoNovo"
							actionListener="#{produtoController.ativar}"
							rendered="#{!produtoController.ativo}" style="background-color: #3C8DBC;"
							update="tbOpcoes painel painel-foto" process="@this" />

						<p:commandButton value="Cancelar" id="botaoCancelar"
							rendered="#{produtoController.ativo}" style="background-color: #FF0000;"
							actionListener="#{produtoController.desativar}"
							update="tbOpcoes painel painel-foto" process="@this">
							<p:resetInput target="painel" />
						</p:commandButton>
					</p:toolbarGroup>
				</p:toolbar>
				</p:panel>
				
				<p:panel>
				<p:outputLabel />
				<h:panelGrid id="painel-foto" styleClass="semBorda">
					<p:graphicImage id="imagemTmp" value="/foto?nome=#{produtoController.produtoEdicao.fotoProduto}" 
						width="100" height="150"
						style="margin: 0 auto;" styleClass="fotoProduto"/>
				</h:panelGrid>
				
				<p:panelGrid columns="4" id="painel" style="margin-top: 10px" styleClass="semBorda">
					<p:outputLabel value="Imagem" />
					<p:fileUpload 
						fileUploadListener="#{produtoController.upload}" 
						auto="true" label="Foto" disabled="#{!produtoController.ativo}"
						update="painel-foto">
					</p:fileUpload>
					
					<p:commandButton value="Remover Foto" actionListener="#{produtoController.removerFoto}"
					process="@this" update="painel-foto"/>
					<p:outputLabel/>
					
					<p:outputLabel value="Codigo: " for="codigo" />
					<p:outputLabel value="Cod. Barras: " for="codBarras" />
					<p:outputLabel/>
					<p:outputLabel/>
					
					<p:inputText disabled="#{!produtoController.ativo}"
						readonly="true" 
						value="#{produtoController.produtoEdicao.codProduto}" id="codigo"
						style="background-color: #3C8DBC;" />
					<p:inputText disabled="#{!produtoController.ativo}" maxlength="14" id="codBarras" 
						value="#{produtoController.produtoEdicao.codBarras}" />
					<p:outputLabel/>
					<p:outputLabel/>
					
					<p:outputLabel value="Nome: " for="nome" />
					<p:outputLabel value="Descrição: " for="descricao" />
					<p:outputLabel/>
					<p:outputLabel/>
					
					<p:inputText disabled="#{!produtoController.ativo}" size="50"
						value="#{produtoController.produtoEdicao.nomeProduto}" id="nome" onkeyup="caps(this)" onblur="caps(this)">
						<p:ajax event="blur"/>
					</p:inputText>
					
					<p:inputText disabled="#{!produtoController.ativo}" id="descricao"  size="50"
						value="#{produtoController.produtoEdicao.descricaoProduto}" onkeyup="caps(this)" onblur="caps(this)">
						<p:ajax event="blur" />
					</p:inputText>
					<p:panelGrid columns="2" styleClass="semBorda">
						<p:outputLabel value="Inativo" for="inativo" />
						<p:outputLabel value="Indisponivel" for="indisponivel" />
						
						<p:selectBooleanCheckbox id="inativo" 
							disabled="#{!produtoController.ativo or produtoController.produtoEdicao.id == null}"
							value="#{produtoController.produtoEdicao.inativo}" />
					
						<p:selectBooleanCheckbox id="indisponivel" 
							disabled="#{!produtoController.ativo or produtoController.produtoEdicao.id == null}"
							value="#{produtoController.produtoEdicao.indisponivel}" />
					</p:panelGrid>
					<p:outputLabel/>
						
					
					<p:panelGrid columns="3" styleClass="semBorda">
						<p:outputLabel value="Tipo: " for="tipo" />
						<p:outputLabel value="Unidade: " for="unidade" />
						<p:outputLabel value="Grupo Produto: " for="grupoProduto" />
						
						<p:selectOneMenu maxlength="10" autoWidth="true" style="width:150px;"
							disabled="#{!produtoController.ativo}" id="tipo"
							value="#{produtoController.produtoEdicao.tipoProduto}" >
							<f:selectItems value="#{produtoController.tipoDoProduto}"
								var="tipos" itemLabel="#{tipos.descricao}" itemValue="#{tipos}" />
						</p:selectOneMenu>
						
						<p:selectOneMenu maxlength="10" 
							disabled="#{!produtoController.ativo}"
							converter="genericConverter" id="unidade"
							value="#{produtoController.produtoEdicao.unidade}"
							style="width: 30px;">
							<f:selectItems value="#{produtoController.listUnidades}"
								var="unidade" itemLabel="#{unidade.sigla}" itemValue="#{unidade}">
								<p:tooltip id="toolTipFade" for="unidade"
									value="#{produtoController.produtoEdicao.unidade.descricao}"
									position="top" />
							</f:selectItems>
						</p:selectOneMenu>
						<p:selectOneMenu maxlength="10" 
							disabled="#{!produtoController.ativo}"
							converter="genericConverter" id="grupoProduto"
							value="#{produtoController.produtoEdicao.grupoProduto}" style="width: 30px !important;">
							<f:selectItems value="#{produtoController.listaGrupoProduto}"
								var="grupo" itemLabel="#{grupo.descricao}" itemValue="#{grupo}" />
						</p:selectOneMenu>
					</p:panelGrid>
					
					<p:panelGrid columns="2" styleClass="semBorda">
						<p:outputLabel value="Preço Compra: " for="precoCompra"  />
						<p:outputLabel value="Preço de Venda: " for="precoVenda" />
						
						<p:inputText disabled="#{!produtoController.ativo}"
							id="precoCompra" size="20"
							value="#{produtoController.produtoEdicao.precoCompra}"
							placeholder="ex: 15,20" onkeydown="mascara(this,moeda)">
							<f:convertNumber />
						</p:inputText>
						<p:inputText disabled="#{!produtoController.ativo}"
							id="precoVenda" size="20"
							value="#{produtoController.produtoEdicao.precoVenda}"
							placeholder="ex: 15,20" onkeydown="mascara(this,moeda)">
							<f:convertNumber />
						</p:inputText>
					</p:panelGrid>
					
					
					<p:panelGrid columns="2" styleClass="semBorda">
						<p:outputLabel value="Fornecedor " for="fornecedor" />
						<p:outputLabel value="Estoque" for="estoque"/>
						
						<p:inputText id="fornecedor" 
							value="#{produtoController.produtoEdicao.nomeFornecedor}"
							disabled="#{!produtoController.ativo}" onkeyup="caps(this)" onblur="caps(this)">
						<p:ajax event="blur" />
						</p:inputText>
						<p:inputText id="estoque" 
							value="#{produtoController.produtoEdicao.quantidade}"
							disabled="#{!produtoController.ativo}"/>
					</p:panelGrid>
				</p:panelGrid>
				</p:panel>
			</h:form>
		</p:tab>
		<p:tab title="Consulta">
			<h:form id="form" enctype="multipart/form-data">
				<h1>Pesquisar</h1>
				<br />
				<h:panelGrid columns="2" id="panel-consulta"
					style="padding-top: 10px;" styleClass="semBorda">

					<p:outputLabel value="Nome:" />
					<p:inputText maxlength="80"
						value="#{produtoController.pesquisaProduto.nome}" />

					<p:outputLabel value="Codigo: " />
					<p:inputText value="#{produtoController.pesquisaProduto.codigo}" />

					<p:outputLabel value="Codigo de Barras: " />
					<p:inputText value="#{produtoController.pesquisaProduto.codBarras}" />

					<p:outputLabel value="Descrição " />
					<p:inputText value="#{produtoController.pesquisaProduto.descricao}" />

					<p:commandButton value="Buscar" id="buscar"
						actionListener="#{produtoController.consutaDeProdutos}"
						update=":tvProdutos:form:tblUsuario growl"
						process="@this :tvProdutos:form:panel-consulta" />
				</h:panelGrid>
				<p:dataTable id="tblUsuario"
					emptyMessage="Nenhum Usuario Encontrado..." paginator="true"
					value="#{produtoController.listProdutos}"
					paginatorAlwaysVisible="true" paginatorPosition="bottom"
					style="margin-top: 20px" var="produtos" rows="4">

					<p:column headerText="Foto" width="50">
						<p:graphicImage rendered="#{produtos.fotoProduto != null ? true : false}"
							value="/foto?nome=#{produtos.fotoProduto}" 
							styleClass="img-circle" alt="User Image" width="24" height="24">
							<f:param name="image_id" value="#{produtos.id}" />
						</p:graphicImage>
						<p:graphicImage rendered="#{produtos.fotoProduto == null ? true : false}"
							value="/resources/dist/img/user.jpg" styleClass="img-circle"
							alt="User Image" width="24" height="24" />
					</p:column>

					<p:column headerText="Nome">
						<h:outputText value="#{produtos.nomeProduto}" />
					</p:column>

					<p:column headerText="Descrição">
						<h:outputText value="#{produtos.descricaoProduto}" />
					</p:column>

					<p:column headerText="Cod. Barras">
						<h:outputText value="#{produtos.codBarras}" />
					</p:column>

					<p:column headerText="Cod. Interno">
						<h:outputText value="#{produtos.codProduto}" />
					</p:column>

					<p:column headerText="Unidade">
						<h:outputText value="#{produtos.unidade.sigla}" />
					</p:column>
					
					<p:column headerText="Quantidade">
						<h:outputText value="#{produtos.quantidade}" />
					</p:column>


					<p:column headerText="Ações" width="90">
						<p:commandButton icon="ui-icon-pencil" title="Editar"
							onclick="tabView.select(0); return false;"
							actionListener="#{produtoController.editar}">
							<f:attribute name="produtoEditado" value="#{produtos}" />
						</p:commandButton>

						<p:commandButton icon="ui-icon-trash" title="Excluir"
							actionListener="#{produtoController.excluir}">
							<p:confirm header="Confirmar" message="Desenja excluir Usuario?"
								icon="ui-icon-alert" />
							<f:attribute name="produtoExcluido" value="#{produtos}" />
						</p:commandButton>
					</p:column>
					<f:facet name="footer">
						<h:outputText value="A Consuta resultou em:  " />
						<h:outputText
							value="#{fn:length(produtoController.listProdutos) == null ? 0 : fn:length(produtoController.listProdutos)}" />
						<h:outputText value=" Produtos cadastrados. " />
					</f:facet>
				</p:dataTable>
				<p:confirmDialog global="true">
					<p:commandButton value="Sim" type="button"
						styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
					<p:commandButton value="Nao" type="button"
						styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
				</p:confirmDialog>
			</h:form>
		</p:tab>
	</p:tabView>
</ui:composition>